Bug 238355 - Macbook touchpad is not recognized by installer (appletouch)
Summary: Macbook touchpad is not recognized by installer (appletouch)
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-04-29 19:16 UTC by Konstantin Ryabitsev
Modified: 2009-06-08 22:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 01:36:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kudzu -p -b USB > kudzu.txt (3.35 KB, text/plain)
2007-05-01 17:24 UTC, Konstantin Ryabitsev
no flags Details
cat /proc/bus/input/devices > devices.txt (2.21 KB, text/plain)
2007-05-01 17:25 UTC, Konstantin Ryabitsev
no flags Details

Description Konstantin Ryabitsev 2007-04-29 19:16:51 UTC
Description of problem:

FC7T4 installer does not recognize the macbook synaptics touchpad (appletouch
kernel driver). External mouse must be used during the install.

Platform: Macbook Core 2 Duo.

Comment 1 Jeremy Katz 2007-04-30 19:34:30 UTC
Does the appletouch driver need to be loaded?  And then there's also the
synaptics part of teh X config that needs to be setup, right?

For the former, can you see what /usr/sbin/kudzu -p -b USB gives?  And the
latter we need /proc/bus/input/devices

Comment 2 Konstantin Ryabitsev 2007-05-01 17:24:17 UTC
Created attachment 153873 [details]
kudzu -p -b USB > kudzu.txt

Comment 3 Konstantin Ryabitsev 2007-05-01 17:25:31 UTC
Created attachment 153874 [details]
cat /proc/bus/input/devices > devices.txt

Comment 4 Jeremy Katz 2007-05-02 21:28:28 UTC
Okay, the changes should be in CVS anaconda and rhpxl now.  Once rawhide starts
flowing again after the merge, do you think you could try to start a netinstall
and see if the mouse works?  (No need to finish it; just get X up)

Comment 5 Ruben Kerkhof 2007-10-27 14:40:14 UTC
Hi Jeremy,

The mouse works for me on today's rawhide, appletouch is loaded.
Of course, to get two-finger tap working, you have to configure Synaptics in
xorg.conf by hand.

Comment 6 Bug Zapper 2008-04-04 00:22:04 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 7 Bug Zapper 2008-05-07 01:36:37 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Comment 8 gareth foster 2009-06-08 22:46:17 UTC
This is still broken on Fedora 11.


Note You need to log in before you can comment on or make changes to this bug.